{% extends "base.html" %}

{% block title %}Home{% endblock %}

{% block content %}
    <h1 class="mb-4">Status</h1>
    <hr>
    
    <h2 class="mt-4">Redis Connection Status</h2>
    <div class="status-label">
        {% if redis_status %}
            <span class="badge badge-success">Connected🚀</span>
        {% else %}
            <span class="badge badge-danger">Disconnected❌</span>
        {% endif %}
    </div>
    
    <h2 class="mt-4">Redis Service Status</h2>
    <div class="status-label">
        {% if redis_service_status is none %}
            <span class="badge badge-warning">Not Applicable❌</span>
        {% elif redis_service_status %}
            <span class="badge badge-success">Running🚀</span>
        {% else %}
            <span class="badge badge-danger">Stopped❌</span>
        {% endif %}
    </div>
    
    <h2 class="mt-4">Nginx Service Status</h2>
    <div class="status-label">
        {% if nginx_status is none %}
            <span class="badge badge-warning">Not Applicable❌</span>
        {% elif nginx_status %}
            <span class="badge badge-success">Running🚀</span>
        {% else %}
            <span class="badge badge-danger">Stopped❌</span>
        {% endif %}
    </div>
{% endblock %}
